Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaType

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaType

Direct Known Subclasses:
  XmlSchemaComplexType, XmlSchemaSimpleType

    public class XmlSchemaType

extends XmlSchemaAnnotated

The base class for all simple types and complex types.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaType(XmlSchema schema)` Creates new XmlSchemaType

Method Summary
`java.lang.Object` | `getBaseSchemaType()` This function returns null.
`javax.xml.namespace.QName` | `getBaseSchemaTypeName()` If there is a base schema type, which by definition has to have a global name, return it.
`XmlSchemaDatatype` | `getDataType()`
`XmlSchemaDerivationMethod` | `getDeriveBy()`
`XmlSchemaDerivationMethod` | `getFinal()`
`XmlSchemaDerivationMethod` | `getFinalResolved()`
`java.lang.String` | `getName()`
`javax.xml.namespace.QName` | `getQName()`
`boolean` | `isMixed()`
`void` | `setFinal(XmlSchemaDerivationMethod finalDerivation)`
`void` | `setMixed(boolean isMixed)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaType

    public XmlSchemaType(XmlSchema schema)

  Creates new XmlSchemaType

Method Detail

### getBaseSchemaType

    public java.lang.Object getBaseSchemaType()

  This function returns null. It is intended at some point to return the base type in the event of a restriction, but that functionality is not implemented.

  Returns:
    null
  See Also:
    `getBaseSchemaTypeName()`

### getBaseSchemaTypeName

    public javax.xml.namespace.QName getBaseSchemaTypeName()

  If there is a base schema type, which by definition has to have a global name, return it.

  Returns:
    the qualified name of the base schema type. Return null if none (e.g. for simple types).

### getDataType

    public XmlSchemaDatatype getDataType()

### getDeriveBy

    public XmlSchemaDerivationMethod getDeriveBy()

### getFinal

    public XmlSchemaDerivationMethod getFinal()

### setFinal

    public void setFinal(XmlSchemaDerivationMethod finalDerivation)

### getFinalResolved

    public XmlSchemaDerivationMethod getFinalResolved()

### isMixed

    public boolean isMixed()

### setMixed

    public void setMixed(boolean isMixed)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getQName

    public javax.xml.namespace.QName getQName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XmlSchemaAnnotated`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.